<?php
/**
* Joomla Community Builder User Plugin: plug_ag_cobalt_records
* 
* @version		1.5
* @name			ag_cobalt_records.php
* @package 		plug_ag_cobalt_records
* @subpackage	Plugin file
* @author		Christophe CROSAZ - Abstrakt Graphics
* @copyright	(c) 2012 - Abstrakt Graphics
* @final		1.5
*/

/** ensure this file is being included by a parent file */
defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

/**
 * Tab displayer for Cobalt Records 1
 */
class getag_cobalt_recordsTab1 extends cbTabHandler {
	/**
	 * Construnctor
	 */
	function getag_cobalt_recordsTab1() {
		$this->cbTabHandler();
	}
	
	/**
	 * Generates the HTML to display the user profile tab
	 * @param	object	tab reflecting the tab database entry
	 * @param	object	mosUser reflecting the user being displayed
	 * @param	integer	1 for front-end, 2 for back-end
	 * @return	mixed	either string HTML for tab content, or false if ErrorMSG generated
	 */
	function getDisplayTab($tab, $user, $ui) {
		return ag_cr_getDisplayTab($tab,$user,$ui,$this->params,1);
	} // end or getDisplayTab function
} // end of getag_cobalt_recordsTab1 class

/**
 * Tab displayer for Cobalt Records 2
 */
class getag_cobalt_recordsTab2 extends cbTabHandler {
	/**
	 * Construnctor
	 */
	function getag_cobalt_recordsTab2() {
		$this->cbTabHandler();
	}
	
	/**
	 * Generates the HTML to display the user profile tab
	 * @param	object	tab reflecting the tab database entry
	 * @param	object	mosUser reflecting the user being displayed
	 * @param	integer	1 for front-end, 2 for back-end
	 * @return	mixed	either string HTML for tab content, or false if ErrorMSG generated
	 */
	function getDisplayTab($tab,$user,$ui) {
		return ag_cr_getDisplayTab($tab,$user,$ui,$this->params,2);
	} // end or getDisplayTab function
} // end of getag_cobalt_recordsTab2 class

/**
 * Tab displayer for Cobalt Records 3
 */
class getag_cobalt_recordsTab3 extends cbTabHandler {
	/**
	 * Construnctor
	 */
	function getag_cobalt_recordsTab3() {
		$this->cbTabHandler();
	}
	
	/**
	 * Generates the HTML to display the user profile tab
	 * @param	object	tab reflecting the tab database entry
	 * @param	object	mosUser reflecting the user being displayed
	 * @param	integer	1 for front-end, 2 for back-end
	 * @return	mixed	either string HTML for tab content, or false if ErrorMSG generated
	 */
	function getDisplayTab($tab,$user,$ui) {
		return ag_cr_getDisplayTab($tab,$user,$ui,$this->params,3);
	} // end or getDisplayTab function
} // end of getag_cobalt_recordsTab3 class

/**
 * Tab displayer for Cobalt Records 4
 */
class getag_cobalt_recordsTab4 extends cbTabHandler {
	/**
	 * Construnctor
	 */
	function getag_cobalt_recordsTab4() {
		$this->cbTabHandler();
	}
	
	/**
	 * Generates the HTML to display the user profile tab
	 * @param	object	tab reflecting the tab database entry
	 * @param	object	mosUser reflecting the user being displayed
	 * @param	integer	1 for front-end, 2 for back-end
	 * @return	mixed	either string HTML for tab content, or false if ErrorMSG generated
	 */
	function getDisplayTab($tab,$user,$ui) {
		return ag_cr_getDisplayTab($tab,$user,$ui,$this->params,4);
	} // end or getDisplayTab function
} // end of getag_cobalt_recordsTab3 class

/**
 * Generates the HTML to display the user profile tab (generic)
 *
 * @param	object	tab reflecting the tab database entry
 * @param	object	mosUser reflecting the user being displayed
 * @param	int		1 for front-end, 2 for back-end
 * @param	object	Parameters
 * @param	int		Tab number
 * @return	mixed : either string HTML for tab content, or false if ErrorMSG generated
 */
function ag_cr_getDisplayTab ($tab,$user,$ui,$params,$tabNum){
	//Tab Params
	$subtitle			= $params->get('subtitle'.$tabNum, '');
	$introtext			= $params->get('introtext'.$tabNum, '');
	$section_id			= $params->get('section_id'.$tabNum, '');
	$view_what			= $params->get('view_what'.$tabNum, 'user_favorited');
	$orderby			= $params->get('orderby'.$tabNum, 'r.ctime DESC');
	$targ_title			= $params->get('targ_title'.$tabNum, '');
	$show_limit			= $params->get('show_limit'.$tabNum, '5');
	$show_viewmore		= $params->get('show_viewmore'.$tabNum, '0');
	$show_tmpl			= $params->get('show_tmpl'.$tabNum, "");
	
	$return				= '<div class="cr_tab_content">';
	if ($subtitle || $introtext) {
		$return	.= '<div class="cr_tab_header">';
		if ($subtitle) {
			$return	.= '<h2 class="title">'.$subtitle.'</h2>';
		}
		if ($introtext) {
			$return	.= '<div class="introtext">'.$introtext.'</div>';
		}
		$return	.= '</div>';
	}
	
	/**
	 * Get Cobalt list render
	 */
	include_once JPATH_ROOT.DS.'components'.DS.'com_cobalt'.DS.'api.php';
	$document		= JFactory::getDocument();
//	$document->addScript(JURI::root().'media/mint/js/moodropmenu/MooDropMenu.js');
//	$document->addStyleSheet(JURI::root().'media/mint/js/moodropmenu/MooDropMenu.css');
//	$document->addScript( JURI::root().'/components/com_comprofiler/plugin/user/plug_agcobaltrecords/js/helper.js');

	// Ajoute la déclaration pour le JS de COBALT!
	$document->addScriptDeclaration('var URL_ROOT = "'.JURI::root().'";');
	
//	$old_section_id		= JRequest::getVar('section_id');
	JRequest::setVar('section_id', $section_id);
	$CobaltApi			= new CobaltApi();
	$result				= $CobaltApi->records(
		$section_id, $view_what, $orderby, array(), $user->id, 0, $show_limit, $show_tmpl
	);
	
	$return				.= $result['html'];
	$return				.= '</div>';
//	JRequest::setVar('section_id', $old_section_id);
	
	return	$return;
}